1. Bot Styles
NotifyMe
  • Introduction
  • Authentication
  • API Reference
    • Accounts
      • List accounts
      • Add account
      • Edit account
      • Delete account
      • Test notification
      • Force notification
    • Embeds
      • List embeds
      • Create embed
      • Edit embed
      • Delete embed
    • Bot Styles
      • List bot styles
        GET
      • Create bot style
        POST
      • Edit bot style
        PATCH
      • Delete bot style
        DELETE
Discord BotManagement API
Legal
Discord BotManagement API
Legal
  1. Bot Styles

List bot styles

Developing
GET
https://public-api.notifyme.bot/v1/management/bot-styles
Rate Limit:5 req/sec

Request

Authorization
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://public-api.notifyme.bot/v1/management/bot-styles?server_id=1044159651178094592&platform=youtube' \
--header 'X-API-Key: <api-key>'
Response Response Example
{
    "status": true,
    "data": [
        {
            "internal_id": "string",
            "bot_style_name": "string",
            "username": "string",
            "profile_picture": "string",
            "created_at": "2019-08-24",
            "updated_at": "2019-08-24"
        }
    ]
}
Previous
Delete embed
Next
Create bot style
Built with